summaryrefslogtreecommitdiffstats
path: root/tests/gnu/xtype_bind_mount.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/gnu/xtype_bind_mount.sh')
-rw-r--r--tests/gnu/xtype_bind_mount.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/tests/gnu/xtype_bind_mount.sh b/tests/gnu/xtype_bind_mount.sh
new file mode 100644
index 0000000..56f9c5c
--- /dev/null
+++ b/tests/gnu/xtype_bind_mount.sh
@@ -0,0 +1,13 @@
+skip_unless test "$SUDO"
+skip_unless test "$UNAME" = "Linux"
+
+rm -rf scratch/*
+$TOUCH scratch/{file,null}
+sudo mount --bind /dev/null scratch/null
+ln -s /dev/null scratch/link
+
+bfs_diff -L scratch -type c
+ret=$?
+
+sudo umount scratch/null
+return $ret